Last Comment Bug 547062 - Implement restrictions on clipPath content
: Implement restrictions on clipPath content
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla1.9.3a3
Assigned To: Robert Longson
:
Mentors:
Depends on: 553053 1165750
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-18 13:25 PST by Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
Modified: 2015-05-18 03:25 PDT (History)
3 users (show)
longsonr: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (8.78 KB, patch)
2010-02-28 02:54 PST, Robert Longson
roc: review+
Details | Diff | Splinter Review
with use reftest (9.75 KB, patch)
2010-02-28 13:13 PST, Robert Longson
no flags Details | Diff | Splinter Review
also fix existing invalid reftest (11.57 KB, patch)
2010-02-28 14:22 PST, Robert Longson
no flags Details | Diff | Splinter Review

Description Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2010-02-18 13:25:03 PST
http://www.w3.org/TR/SVG/masking.html#EstablishingANewClippingPath

A 'clipPath' element can contain 'path' elements, 'text' elements, basic shapes (such as 'circle') or a 'use' element. If a 'use' element is a child of a 'clipPath' element, it must directly reference 'path', 'text' or basic shape elements. Indirect references are an error (see Error processing).

We don't implement these restrictions, but we should.
Comment 1 Robert Longson 2010-02-28 02:54:46 PST
Created attachment 429394 [details] [diff] [review]
patch

(In reply to comment #0)
> 
> We don't implement these restrictions, but we should.

We will when this lands :-)
Comment 2 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2010-02-28 12:59:51 PST
Comment on attachment 429394 [details] [diff] [review]
patch

Excellent! Could you add a test for the <use> restrictions?
Comment 3 Robert Longson 2010-02-28 13:13:10 PST
Created attachment 429432 [details] [diff] [review]
with use reftest
Comment 4 Robert Longson 2010-02-28 14:22:58 PST
Created attachment 429438 [details] [diff] [review]
also fix existing invalid reftest
Comment 5 Robert Longson 2010-03-02 02:07:31 PST
pushed http://hg.mozilla.org/mozilla-central/rev/ba77049941c3

Note You need to log in before you can comment on or make changes to this bug.